> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monime.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Banks

> List the banks that Monime supports in a country.



## OpenAPI

````yaml get /banks
openapi: 3.0.3
info:
  title: Monime API
  description: Monime REST API. Please visit https://docs.momime.io/api for more details.
  termsOfService: https://monime.io/legal/terms-of-service
  contact:
    name: Monime Developers
    url: https://github.com/monimesl
    email: dev@monime.io
  version: '2024-08-01'
servers:
  - url: https://api.monime.io/
security:
  - bearerAuth: []
paths:
  /banks:
    get:
      tags:
        - Bank
      summary: List Banks
      description: List the banks that Monime supports in a country.
      operationId: ListBanks
      parameters:
        - name: country
          in: query
          description: The ISO 3166-1 alpha-2 code of the country
          required: true
          schema:
            maxLength: 2
            minLength: 2
            type: string
            description: The ISO 3166-1 alpha-2 code of the country
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Represents the status of the query operation, confirming
                      if it was successful. This field is always true
                  messages:
                    type: array
                    items: {}
                    description: >-
                      Contains a list of messages providing relevant information
                      or feedback related to the query or operation
                  result:
                    type: array
                    items:
                      $ref: '#/components/schemas/Bank'
                    description: The list of items in the response
                    nullable: true
                  pagination:
                    type: object
                    properties:
                      count:
                        minimum: 0
                        type: integer
                        description: The number of items in this list response.
                      total:
                        minimum: 0
                        type: integer
                        description: >-
                          The estimated total number of items matching the
                          request.
                        nullable: true
                      next:
                        type: string
                        description: >-
                          This identifier marks the first item in this response
                          list when moving backward through the results, or the
                          last item when moving forward. Use this identifier
                          with the 'after' or 'before' query parameter in your
                          next request to get the items that come after or
                          before this item in the overall list respectively.
                        nullable: true
                    description: The pagination info associated with the response
components:
  schemas:
    Bank:
      type: object
      properties:
        id:
          type: string
          description: The ID of the bank.
          example: fpr-TJh76H8hj778hftdtu66gjio
        code:
          type: string
          description: >-
            The unique code assigned to a bank by Monime to identify it within
            Monime's ecosystem.
          example: SLB0004
        name:
          type: string
          description: The name of the bank.
          example: Guarantee Trust Bank
        country:
          type: string
          description: The country of the bank.
          example: SL
        status:
          type: object
          properties:
            active:
              type: boolean
              description: Whether or not this bank is active within Monime.
          description: The status of the bank's operations within monime'.
        featureSet:
          type: object
          properties:
            payout:
              type: object
              properties:
                canPayTo:
                  type: boolean
                  description: Whether or not Monime can pay out to an account in the bank.
                schemes:
                  type: array
                  items:
                    type: string
                  description: The supported payout schemes of the bank.
                  nullable: true
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: Further metadata describing this bank's payout feature.
                  nullable: true
              description: The bank's payout feature information.
            payment:
              type: object
              properties:
                canPayFrom:
                  type: boolean
                  description: >-
                    Whether or not Monime can accept payment from an account in
                    the bank.
                schemes:
                  type: array
                  items:
                    type: string
                  description: The supported payment schemes of the bank.
                  nullable: true
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: Further metadata describing this bank's payment feature.
                  nullable: true
              description: The bank's payment feature information.
            kycVerification:
              type: object
              properties:
                canVerifyAccount:
                  type: boolean
                  description: >-
                    Whether or not Monime can verify an account's KYC' in the
                    bank.
                metadata:
                  type: object
                  additionalProperties:
                    type: string
                  description: >-
                    Further metadata describing this bank's KYC verification
                    feature.
                  nullable: true
              description: The bank's KYC verification feature information.
          description: The set of Monime features that the bank supports.'
        createTime:
          type: string
          description: The time the bank's support was added.
          format: date-time
        updateTime:
          type: string
          description: The last time the bank's support was updated.
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: auth-scheme
      description: >-
        Bearer HTTP authentication specified with the header Authorization:
        Bearer <access_token>

````